Page MenuHomePhabricator

MC: AArch64: Add support for gotpage_lo15
ClosedPublic

Authored by zatrazz on Jan 13 2021, 9:33 AM.

Details

Summary

It is not used bt LLVM itself, but it would be used on lld tests
to implement R_AARCH64_LD64_GOTPAGE_LO15 support.

Diff Detail

Event Timeline

zatrazz created this revision.Jan 13 2021, 9:33 AM
zatrazz requested review of this revision.Jan 13 2021, 9:33 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 13 2021, 9:33 AM
MaskRay added inline comments.
llvm/test/MC/AArch64/arm64-elf-relocs.s
254

FileCheck without --match-full-lines allows trailing unmatched substring. Here you probably need sym{{$}} to make sure there is no trailing part.

zatrazz updated this revision to Diff 317546.Jan 19 2021, 6:34 AM

Updated patch based on previous comments.

psmith added a subscriber: psmith.Jan 19 2021, 10:05 AM

This looks ok to me. The gotpage_lo15 matches the operator name in GNU assembler.

MaskRay accepted this revision.Jan 19 2021, 1:21 PM
MaskRay added inline comments.
llvm/lib/Target/AArch64/MCTargetDesc/AArch64ELFObjectWriter.cpp
331
This revision is now accepted and ready to land.Jan 19 2021, 1:21 PM
zatrazz closed this revision.Jan 21 2021, 3:31 AM